#include "uniModelExample_ecore/UniModelExample_ecorePackage.hpp"
#include "uniModelExample_ecore/impl/UniModelExample_ecorePackageImpl.hpp"

using namespace uniModelExample_ecore;

//static initialisation
const std::string UniModelExample_ecorePackage::eNAME ="uniModelExample_ecore";
const std::string UniModelExample_ecorePackage::eNS_URI ="http://www.example.org/uniModelExample_ecore";
const std::string UniModelExample_ecorePackage::eNS_PREFIX ="uniModelExample_ecore";

//Singleton 
std::shared_ptr<UniModelExample_ecorePackage> UniModelExample_ecorePackage::instance;

std::shared_ptr<UniModelExample_ecorePackage>UniModelExample_ecorePackage::eInstance()
{
	if(!instance)
	{
		//create a new Factoryimplementation
		instance.reset(UniModelExample_ecorePackageImpl::create());
		std::dynamic_pointer_cast<UniModelExample_ecorePackageImpl>(instance)->init(instance);
	}	
	return instance;
}
