#include "uniModelExample_ecore/UniModelExample_ecoreFactory.hpp"
#include "uniModelExample_ecore/impl/UniModelExample_ecoreFactoryImpl.hpp"

using namespace uniModelExample_ecore;

//static initialisation
std::shared_ptr<UniModelExample_ecoreFactory> UniModelExample_ecoreFactory::instance;

std::shared_ptr<UniModelExample_ecoreFactory>UniModelExample_ecoreFactory::eInstance()
{
	if(!instance)
	{
		//create a new Factoryimplementation
		instance.reset(UniModelExample_ecoreFactoryImpl::create());
	}	
	return instance;
}
