
#include "uniModelExample_ecore/UniModelExample_ecorePlugin.hpp"
#include "uniModelExample_ecore/impl/UniModelExample_ecorePluginImpl.hpp"

using namespace uniModelExample_ecore;

//static initialisation
std::shared_ptr<MDE4CPPPlugin> UniModelExample_ecorePlugin::instance;

std::shared_ptr<MDE4CPPPlugin> UniModelExample_ecorePlugin::eInstance()
{
	if(instance==nullptr)
	{
		//create a new Singelton Instance
		instance.reset(new UniModelExample_ecorePluginImpl());
	}
	return instance;
}

std::shared_ptr<MDE4CPPPlugin> start()
{
	return UniModelExample_ecorePlugin::eInstance();
}
