#include "uniModelExample_ecore/impl/UniModelExample_ecorePluginImpl.hpp"

#include "uniModelExample_ecore/UniModelExample_ecoreFactory.hpp"
#include "uniModelExample_ecore/UniModelExample_ecorePackage.hpp"

using namespace uniModelExample_ecore;

//*********************************
// Constructor / Destructor
//*********************************
UniModelExample_ecorePluginImpl::UniModelExample_ecorePluginImpl()
{
}

UniModelExample_ecorePluginImpl::~UniModelExample_ecorePluginImpl()
{
}


std::shared_ptr<ecore::EObject> UniModelExample_ecorePluginImpl::create(const std::string& name)
{
	return UniModelExample_ecoreFactory::eInstance()->create(name);
}

std::shared_ptr<ecore::EFactory> UniModelExample_ecorePluginImpl::getEFactory()
{
	return UniModelExample_ecoreFactory::eInstance();
}

std::shared_ptr<ecore::EPackage> UniModelExample_ecorePluginImpl::getEPackage()
{
	return UniModelExample_ecorePackage::eInstance();
}

std::string UniModelExample_ecorePluginImpl::eclipseURI()
{
	return "";
}

std::string UniModelExample_ecorePluginImpl::eNAME()
{
	return "uniModelExample_ecore";
}

std::string UniModelExample_ecorePluginImpl::eNS_URI()
{
	return "http://www.example.org/uniModelExample_ecore";
}

std::string UniModelExample_ecorePluginImpl::eNS_PREFIX()
{
	return "uniModelExample_ecore";
}
